Name:          libICE
Version:       1.1.2
Release:       1mamba
Summary:       X.Org ICE library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.x.org/wiki/
Source:        https://ftp.x.org/archive/individual/lib/libICE-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: xorgproto-devel
## AUTOBUILDREQ-END
Obsoletes:     lib32-libICE < 1.0.10

%description
X.Org ICE library.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     lib32-libICE-devel < 1.0.10

%description devel
X.Org ICE library.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n libICE-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libICE.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/X11/ICE
%{_includedir}/X11/ICE/*.h
%{_libdir}/libICE.a
%{_libdir}/libICE.so
%{_libdir}/pkgconfig/*.pc
%dir %{_docdir}/libICE
%{_docdir}/libICE/*
%doc ChangeLog

%changelog
* Sat Dec 14 2024 Automatic Build System <autodist@openmamba.org> 1.1.2-1mamba
- automatic version update by autodist

* Fri Dec 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- update to 1.1.1

* Mon Oct 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.10-1mamba
- update to 1.0.10

* Thu Oct 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.9-2mamba
- x86_64: obsolete lib32-libICE[-devel]

* Tue Jul 01 2014 Automatic Build System <autodist@mambasoft.it> 1.0.9-1mamba
- automatic update by autodist

* Mon Mar 05 2012 Automatic Build System <autodist@mambasoft.it> 1.0.8-1mamba
- automatic version update by autodist

* Tue Nov 09 2010 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic update by autodist

* Sat Jun 26 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.6-2mamba
- rebuilt to add pkgconfig provides

* Thu Sep 03 2009 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic update by autodist

* Tue Jan 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.5-1mamba
- automatic update by autodist

* Mon Sep 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1mamba
- update to 1.0.4

* Wed Jan 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1qilnx
- update to version 1.0.3 by autospec

* Mon Dec 18 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1qilnx
- package created by autospec
